### Method

# FwupdPlugin CsvEntry get_value_by_idx

since: 1.9.3

#### Declaration [src]

    const gchar*
    fu_csv_entry_get_value_by_idx (
      FuCsvEntry* self,
      guint idx
    )

#### Description [src]

Gets the entry value for a specific index.

Available since: 1.9.3

#### Parameters

`idx`

  Type: `guint`

  Column ID idx.

#### Return value

Type: `const gchar*`

A string, or `NULL` if unset.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.